[Numpy-discussion] Going toward time-based release ?

Christopher Hanley chanley@stsci....
Mon May 12 12:02:53 CDT 2008


Jarrod Millman wrote:
> 
> I can't imagine why anyone would have to upgrade.  Could you explain
> under what circumstances you would see having to upgrade just because
> their is a new upstream release?  I think I must be misunderstanding
> your concern.
> 
One circumstance in which you would need to upgrade is if you distribute 
software with a numpy dependency.  If your user base upgrades to the 
latest numpy release, and that latest release breaks your code, you will 
have unhappy users.



-- 
Christopher Hanley
Systems Software Engineer
Space Telescope Science Institute
3700 San Martin Drive
Baltimore MD, 21218
(410) 338-4338


More information about the Numpy-discussion mailing list